- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
GSmtp::Client::Config Struct Reference

A structure containing GSmtp::Client configuration parameters. More...

`#include <gsmtpclient.h>`

## Public Member Functions
| Config (std::string, unsigned int, GNet::Address, ClientProtocol::Config, unsigned int, unsigned int, bool)

## Public Attributes
std::string | processor_address
unsigned int | processor_timeout
GNet::Address | local_address
ClientProtocol::Config | client_protocol_config
unsigned int | connection_timeout
unsigned int | secure_connection_timeout
bool | secure_tunnel

## Detailed Description

A structure containing GSmtp::Client configuration parameters.

Definition at line 61 of file gsmtpclient.h.

## Constructor & Destructor Documentation

GSmtp::Client::Config::Config | ( | std::string | processor_address_,
|  | unsigned int | processor_timeout_,
|  | GNet::Address | address,
|  | ClientProtocol::Config | protocol_config,
|  | unsigned int | connection_timeout_,
|  | unsigned int | secure_connection_timeout_,
|  | bool | secure_tunnel_
| ) |  |

Definition at line 289 of file gsmtpclient.cpp.

## Member Data Documentation

ClientProtocol::Config GSmtp::Client::Config::client_protocol_config

Definition at line 66 of file gsmtpclient.h.

unsigned int GSmtp::Client::Config::connection_timeout

Definition at line 67 of file gsmtpclient.h.

GNet::Address GSmtp::Client::Config::local_address

Definition at line 65 of file gsmtpclient.h.

std::string GSmtp::Client::Config::processor_address

Definition at line 63 of file gsmtpclient.h.

unsigned int GSmtp::Client::Config::processor_timeout

Definition at line 64 of file gsmtpclient.h.

unsigned int GSmtp::Client::Config::secure_connection_timeout

Definition at line 68 of file gsmtpclient.h.

bool GSmtp::Client::Config::secure_tunnel

Definition at line 69 of file gsmtpclient.h.

The documentation for this struct was generated from the following files:

- gsmtpclient.h
- gsmtpclient.cpp